---
schema_version: "1"
id: c240b5c198edfc11a76f737a51e3945092913dfd03e90a45f086f35b9b92764c
title: PUT /platform/v1/ens-callbacks
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/updateCallback.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/updateCallback.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2b04a2d9d22c6387c50b610f8812866d7605f72d48aee4a84bbfb21876acbca6
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# PUT /platform/v1/ens-callbacks

## Overview

Updates a registered callback. It can take up to two minutes for callback changes to become active.

### JSON Parameters

<!--complex table-->

| Name             | Type    |              | Description                                                    |
| ---------------- | ------- | ------------ | -------------------------------------------------------------- |
| **callbackName** | string  | **Required** | Name of the callback.                                          |
| **callbackId**   | string  | **Required** | Unique identifier of the callback.                             |
| **maxBatchSize** | integer |              | Must be at least 100 and no more than 1,000. Default is 1,000. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
PUT /platform/v1/ens-callbacks
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

[{
  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
  "callbackName": "cb1",
  "maxBatchSize": 1000
}]
```

### Example Response

```js
HTTP/1.1 200 OK
[{
  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
  "callbackName": "cb1",
  "url": "https://example.com/",
  "maxBatchSize": 1000
}]
```

### HTTP Responses

| Response         | Reason                                                                              |
| ---------------- | ----------------------------------------------------------------------------------- |
| 200 OK           | Callback is updated. Review example response.                                       |
| 201 Created      | Callback is new. Response includes callbackId, callbackName, url, and maxBatchSize. |
| 304 No Change    | Callback already exists on the server.                                              |
| 400 Bad Request  | Unable to process the request.                                                      |
| 403 Forbidden    | Failed to pass authorization.                                                       |
| 404 Not Found    | Callback ID doesn’t exist for this MID.                                             |
| 500 Server Error | Internal error                                                                      |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
